# IssuesLink (Google Data APIs Client Library (1.43.0))
Date: 2011-02-04

# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.projecthosting
Class IssuesLink

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Link
                  com.google.gdata.data.projecthosting.IssuesLink

All Implemented Interfaces:
  Extension, ILink, Reference

    public class IssuesLink

extends Link

Extends the base Link class with Project Hosting extensions.

Nested Class Summary
`static class` `IssuesLink.Rel` Link relation type.

Nested classes/interfaces inherited from class com.google.gdata.data.Link
`Link.AtomHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Nested classes/interfaces inherited from interface com.google.gdata.data.ILink
`ILink.Type`

Field Summary

Fields inherited from class com.google.gdata.data.Link
`content, etag, href, hrefLang, length, rel, title, titleLang, type`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`IssuesLink()` Default mutable constructor.
`IssuesLink(java.lang.Integer count, java.lang.String href, java.lang.Long length, IssuesLink.Rel rel, java.lang.String title, java.lang.String type, DateTime updated)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `equals(java.lang.Object obj)`
`java.lang.Integer` `getCount()` Returns the count.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`DateTime` `getUpdated()` Returns the updated.
`boolean` `hasCount()` Returns whether it has the count.
`int` `hashCode()`
`boolean` `hasUpdated()` Returns whether it has the updated.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setCount(java.lang.Integer count)` Sets the count.
`void` `setUpdated(DateTime updated)` Sets the updated.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.Link
`generate, generateAtom, generateRss, getContent, getEtag, getHandler, getHref, getHrefLang, getLength, getRel, getTitle, getTitleLang, getType, matches, setContent, setEtag, setHref, setHrefLang, setLength, setRel, setTitle, setTitleLang, setType`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IssuesLink

    public IssuesLink()

  Default mutable constructor.

### IssuesLink

    public IssuesLink(java.lang.Integer count,
                      java.lang.String href,
                      java.lang.Long length,
                      IssuesLink.Rel rel,
                      java.lang.String title,
                      java.lang.String type,
                      DateTime updated)

  Immutable constructor.

  Parameters:
    `count` - count.
    `updated` - updated.

Method Detail

### getCount

    public java.lang.Integer getCount()

  Returns the count.

  Returns:
    count

### setCount

    public void setCount(java.lang.Integer count)

  Sets the count.

  Parameters:
    `count` - count or `null` to reset

### hasCount

    public boolean hasCount()

  Returns whether it has the count.

  Returns:
    whether it has the count

### getUpdated

    public DateTime getUpdated()

  Returns the updated.

  Returns:
    updated

### setUpdated

    public void setUpdated(DateTime updated)

  Sets the updated.

  Parameters:
    `updated` - updated or `null` to reset

### hasUpdated

    public boolean hasUpdated()

  Returns whether it has the updated.

  Returns:
    whether it has the updated

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`